### Name: criterion
### Title: Criterion for a loss/merit function for data given a permutation
### Aliases: criterion criterion.dist criterion.matrix criterion.array
### Keywords: cluster

### ** Examples

## create random data and calculate distances
m <- matrix(runif(10),ncol=2)
d <- dist(m)

## get an order for rows (optimal for the least squares criterion)
o <- seriate(m, method = "PCA", margin = 1)
o

## compare the values for all available criteria
rbind(
    unordered = criterion(d),
    ordered = criterion(d, o)
)



